Bug 760803 - Headpin/api lists too many urls
Headpin/api lists too many urls
Status: CLOSED CURRENTRELEASE
Product: Subscription Asset Manager
Classification: Red Hat
Component: katello (Show other bugs)
1.0.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 1.0
Assigned To: Jordan OMara
SAM QE List
: Triaged
Depends On:
Blocks: 703617
  Show dependency treegraph
 
Reported: 2011-12-06 20:24 EST by Bryan Kearney
Modified: 2014-11-09 17:55 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-26 20:22:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Bryan Kearney 2011-12-06 20:24:42 EST
The following is the output from the HATEOAS API for Katello. 

[{"href":"/api/systems/","rel":"systems"},{"href":"/api/providers/","rel":"providers"},{"href":"/api/templates/","rel":"templates"},{"href":"/api/organizations/","rel":"organizations"},{"href":"/api/changesets/","rel":"changesets"},{"href":"/api/products/","rel":"products"},{"href":"/api/repositories/","rel":"repositories"},{"href":"/api/environments/","rel":"environments"},{"href":"/api/activation_keys/","rel":"activation_keys"},{"href":"/api/packages/","rel":"packages"},{"href":"/api/errata/","rel":"errata"},{"href":"/api/distributions/","rel":"distributions"},{"href":"/api/users/","rel":"users"},{"href":"/api/tasks/","rel":"tasks"},{"href":"/api/consumers/","rel":"consumers"},{"href":"/api/entitlements/","rel":"entitlements"}]

The following hrefs are not applicable to headpin:

api/templates
api/changesets
api/repositories
api/packages
api/errata
api/distrbutions


and should be removed from this list.
Comment 1 Jordan OMara 2012-01-23 16:31:16 EST
committed 00ce8c2686ee79e087c70e700792a0ea5b680c15

Note You need to log in before you can comment on or make changes to this bug.